pcl::poisson::OctNode< NodeData, Real >::Neighbors3 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| Neighbors3 (void)
void | clear (void)

## Public Attributes

OctNode * | neighbors [3][3][3]

## Detailed Description

### template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::Neighbors3

Definition at line 193 of file octree_poisson.h.

## Constructor & Destructor Documentation

## Neighbors3()

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::Neighbors3::Neighbors3 | ( | void |  | ) |

Definition at line 1078 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::clear().

## Member Function Documentation

## clear()

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::Neighbors3::clear | ( | void |  | ) |

Definition at line 1080 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

Referenced by pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors3::ConstNeighbors3(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors5::ConstNeighbors5(), pcl::poisson::OctNode< NodeData, Real >::Neighbors3::Neighbors3(), and pcl::poisson::OctNode< NodeData, Real >::Neighbors5::Neighbors5().

## Member Data Documentation

## neighbors

template<class NodeData, class Real = float>

OctNode* pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors[3][3][3]

Definition at line 196 of file octree_poisson.h.

Referenced by pcl::poisson::OctNode< NodeData, Real >::Neighbors3::clear(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors3::clear(), pcl::poisson::OctNode< NodeData, Real >::Neighbors5::clear(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors5::clear(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::ConstNeighborKey3(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::ConstNeighborKey5(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::NeighborKey3(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::NeighborKey5(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::set(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors(), pcl::poisson::UpSampleData::UpSampleData(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::~ConstNeighborKey3(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::~ConstNeighborKey5(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::~NeighborKey3(), and pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::~NeighborKey5().

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.hpp